Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractElement

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractParentChildNode
                  org.apache.batik.dom.AbstractElement

All Implemented Interfaces:
  org.w3c.dom.Element, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

Direct Known Subclasses:
  AbstractElement, AbstractElementNS, GenericElement

public abstract class AbstractElement
extends AbstractParentChildNode
implements org.w3c.dom.Element

This class implements the `Element` interface.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `AbstractElement.Entry` To manage collisions in the attributes map.
`class` | `AbstractElement.NamedNodeHashMap` An implementation of the `NamedNodeMap`.

Nested classes inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected org.w3c.dom.NamedNodeMap` | `attributes` The attributes of this element.

Fields inherited from class org.apache.batik.dom.AbstractParentChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `AbstractElement()` Creates a new AbstractElement object.
`protected` | `AbstractElement(java.lang.String name, AbstractDocument owner)` Creates a new AbstractElement object.

Method Summary
`protected void` | `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an attribute has been added.
`protected void` | `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an attribute has been modified.
`protected void` | `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an attribute has been removed.
`protected void` | `checkChildType(org.w3c.dom.Node n, boolean replace)` Checks the validity of a node to be inserted.
`protected org.w3c.dom.Node` | `copyInto(org.w3c.dom.Node n)` Copy the fields of the current node into the given node.
`protected org.w3c.dom.NamedNodeMap` | `createAttributes()` Creates the attribute list.
`protected org.w3c.dom.Node` | `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` | `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected org.w3c.dom.Node` | `export(org.w3c.dom.Node n, AbstractDocument d)` Exports this node to the given document.
`void` | `fireDOMAttrModifiedEvent(java.lang.String name, org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv, short change)` Fires a DOMAttrModified event.
`java.lang.String` | `getAttribute(java.lang.String name)` DOM: Implements `Element.getAttribute(String)`.
`org.w3c.dom.Attr` | `getAttributeNode(java.lang.String name)` DOM: Implements `Element.getAttributeNode(String)`.
`org.w3c.dom.Attr` | `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)` DOM: Implements `Element.getAttributeNodeNS(String,String)`.
`java.lang.String` | `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` DOM: Implements `Element.getAttributeNS(String,String)`.
`org.w3c.dom.NamedNodeMap` | `getAttributes()` DOM: Implements `Node.getAttributes()`.
`short` | `getNodeType()` DOM: Implements `Node.getNodeType()`.
`java.lang.String` | `getTagName()` DOM: Implements `Element.getTagName()`.
`boolean` | `hasAttribute(java.lang.String name)` DOM: Implements `Element.hasAttribute(String)`.
`boolean` | `hasAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` DOM: Implements `Element.hasAttributeNS(String,String)`.
`boolean` | `hasAttributes()` DOM: Implements `Node.hasAttributes()`.
`protected void` | `nodeAdded(org.w3c.dom.Node node)` Called when a child node has been added.
`protected void` | `nodeToBeRemoved(org.w3c.dom.Node node)` Called when a child node is going to be removed.
`void` | `normalize()` DOM: Implements `Node.normalize()`.
`void` | `removeAttribute(java.lang.String name)` DOM: Implements `Element.removeAttribute(String)`.
`org.w3c.dom.Attr` | `removeAttributeNode(org.w3c.dom.Attr oldAttr)` DOM: Implements `Element.removeAttributeNode(Attr)`.
`void` | `removeAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` DOM: Implements `Element.removeAttributeNS(String,String)`.
`void` | `setAttribute(java.lang.String name, java.lang.String value)` DOM: Implements `Element.setAttribute(String,String)`.
`org.w3c.dom.Attr` | `setAttributeNode(org.w3c.dom.Attr newAttr)` DOM: Implements `Element.setAttributeNode(Attr)`.
`org.w3c.dom.Attr` | `setAttributeNodeNS(org.w3c.dom.Attr newAttr)` DOM: Implements `Element.setAttributeNodeNS(Attr)`.
`void` | `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)` DOM: Implements `Element.setAttributeNS(String,String,String)`.

Methods inherited from class org.apache.batik.dom.AbstractParentChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, hasChildNodes, insertBefore, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, getCurrentDocument, getEventSupport, getLocalName, getNamespaceURI, getNodeValue, getOwnerDocument, getParentNodeEventTarget, getPrefix, isSupported, newNode, removeEventListener, setNodeName, setNodeValue, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Element
`getElementsByTagName, getElementsByTagNameNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasChildNodes, insertBefore, isSupported, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Field Detail

### attributes

    protected org.w3c.dom.NamedNodeMap attributes

  The attributes of this element.

Constructor Detail

### AbstractElement

    protected AbstractElement()

  Creates a new AbstractElement object.

### AbstractElement

    protected AbstractElement(java.lang.String name,
                              AbstractDocument owner)

  Creates a new AbstractElement object.

Parameters:
  `name` - The element name for validation purposes.
  `owner` - The owner document.
Throws:
  `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: if name contains invalid characters,

Method Detail

### getNodeType

    public short getNodeType()

  DOM: Implements `Node.getNodeType()`.

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Returns:
    `Node.ELEMENT_NODE`

### hasAttributes

    public boolean hasAttributes()

  DOM: Implements `Node.hasAttributes()`.

  Specified by:
    `hasAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasAttributes` in class `AbstractNode`
  Returns:
    false.

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  DOM: Implements `Node.getAttributes()`.

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `getAttributes` in class `AbstractNode`
  Returns:
    null.

### getTagName

    public java.lang.String getTagName()

  DOM: Implements `Element.getTagName()`.

  Specified by:
    `getTagName` in interface `org.w3c.dom.Element`
  Returns:
    `Node.getNodeName()`.

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  DOM: Implements `Element.hasAttribute(String)`.

  Specified by:
    `hasAttribute` in interface `org.w3c.dom.Element`

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

  DOM: Implements `Element.getAttribute(String)`.

  Specified by:
    `getAttribute` in interface `org.w3c.dom.Element`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String value)
                      throws org.w3c.dom.DOMException

  DOM: Implements `Element.setAttribute(String,String)`.

  Specified by:
    `setAttribute` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### removeAttribute

    public void removeAttribute(java.lang.String name)
                         throws org.w3c.dom.DOMException

  DOM: Implements `Element.removeAttribute(String)`.

  Specified by:
    `removeAttribute` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### getAttributeNode

    public org.w3c.dom.Attr getAttributeNode(java.lang.String name)

  DOM: Implements `Element.getAttributeNode(String)`.

  Specified by:
    `getAttributeNode` in interface `org.w3c.dom.Element`

### setAttributeNode

    public org.w3c.dom.Attr setAttributeNode(org.w3c.dom.Attr newAttr)
                                      throws org.w3c.dom.DOMException

  DOM: Implements `Element.setAttributeNode(Attr)`.

  Specified by:
    `setAttributeNode` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### removeAttributeNode

    public org.w3c.dom.Attr removeAttributeNode(org.w3c.dom.Attr oldAttr)
                                         throws org.w3c.dom.DOMException

  DOM: Implements `Element.removeAttributeNode(Attr)`.

  Specified by:
    `removeAttributeNode` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### normalize

    public void normalize()

  DOM: Implements `Node.normalize()`.

  Specified by:
    `normalize` in interface `org.w3c.dom.Node`
  Overrides:
    `normalize` in class `AbstractParentNode`

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)

  DOM: Implements `Element.hasAttributeNS(String,String)`.

  Specified by:
    `hasAttributeNS` in interface `org.w3c.dom.Element`

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  DOM: Implements `Element.getAttributeNS(String,String)`.

  Specified by:
    `getAttributeNS` in interface `org.w3c.dom.Element`

### setAttributeNS

    public void setAttributeNS(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value)
                        throws org.w3c.dom.DOMException

  DOM: Implements `Element.setAttributeNS(String,String,String)`.

  Specified by:
    `setAttributeNS` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### removeAttributeNS

    public void removeAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws org.w3c.dom.DOMException

  DOM: Implements `Element.removeAttributeNS(String,String)`.

  Specified by:
    `removeAttributeNS` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### getAttributeNodeNS

    public org.w3c.dom.Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                               java.lang.String localName)

  DOM: Implements `Element.getAttributeNodeNS(String,String)`.

  Specified by:
    `getAttributeNodeNS` in interface `org.w3c.dom.Element`

### setAttributeNodeNS

    public org.w3c.dom.Attr setAttributeNodeNS(org.w3c.dom.Attr newAttr)
                                        throws org.w3c.dom.DOMException

  DOM: Implements `Element.setAttributeNodeNS(Attr)`.

  Specified by:
    `setAttributeNodeNS` in interface `org.w3c.dom.Element`
  Throws:
    `org.w3c.dom.DOMException`

### nodeAdded

    protected void nodeAdded(org.w3c.dom.Node node)

  Called when a child node has been added.

  Overrides:
    `nodeAdded` in class `AbstractParentNode`

### nodeToBeRemoved

    protected void nodeToBeRemoved(org.w3c.dom.Node node)

  Called when a child node is going to be removed.

  Overrides:
    `nodeToBeRemoved` in class `AbstractParentNode`

### createAttributes

    protected org.w3c.dom.NamedNodeMap createAttributes()

  Creates the attribute list.

### export

    protected org.w3c.dom.Node export(org.w3c.dom.Node n,
                                      AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractNode`
  Parameters:
    `n` - The clone node.
    `d` - The destination document.

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractParentNode`
  Parameters:
    `n` - The clone node.
    `d` - The destination document.

### copyInto

    protected org.w3c.dom.Node copyInto(org.w3c.dom.Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractParentNode`
  Parameters:
    `n` - a node of the type of this.

### checkChildType

    protected void checkChildType(org.w3c.dom.Node n,
                                  boolean replace)

  Checks the validity of a node to be inserted.

  Overrides:
    `checkChildType` in class `AbstractNode`
  Parameters:
    `n` - The node to be inserted.

### fireDOMAttrModifiedEvent

    public void fireDOMAttrModifiedEvent(java.lang.String name,
                                         org.w3c.dom.Attr node,
                                         java.lang.String oldv,
                                         java.lang.String newv,
                                         short change)

  Fires a DOMAttrModified event. WARNING: public accessor because of compilation problems on Solaris. Do not change.

  Parameters:
    `name` - The attribute's name.
    `node` - The attribute's node.
    `oldv` - The old value of the attribute.
    `newv` - The new value of the attribute.
    `change` - The modification type.

### attrAdded

    protected void attrAdded(org.w3c.dom.Attr node,
                             java.lang.String newv)

  Called when an attribute has been added.

### attrModified

    protected void attrModified(org.w3c.dom.Attr node,
                                java.lang.String oldv,
                                java.lang.String newv)

  Called when an attribute has been modified.

### attrRemoved

    protected void attrRemoved(org.w3c.dom.Attr node,
                               java.lang.String oldv)

  Called when an attribute has been removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.